Name: hp-be2iscsi
Version: 4.0.323.0
Release: 2
Group: System Environment/Kernel
Vendor: ServerEngines Corporation
URL: http://www.serverengines.com
Packager: ServerEngines Corporation
License: GPL
Source: %{name}-%{version}.tar.gz
Provides: %{name}
Buildroot: %{_tmppath}/%{name}-%{version}
Summary: HP NC-Series Emulex 10GbE iSCSI Driver for Linux

%define debug_package %{nil}

%define suse %{!?suse_kernel_module_package:0}%{?suse_kernel_module_package:1}

%if "%{_vendor}" == "suse"

%if %{!?KVER:1}%{?KVER:0}
%ifarch x86_64
%define flav debug default kdump smp xen trace
%else
%define flav bigsmp debug default kdump kdumpae smp vmi vmipae xen xenpae pae trace
%endif
%endif

%if %{!?KVER:0}%{?KVER:1}
%define flav %(echo %{KVER} | awk -F"-" '{print $3}')
%endif
%endif

%if "%{_vendor}" == "redhat"

%if %{!?KVER:1}%{?KVER:0}
%define flav ""
%endif

%if %{!?KVER:0}%{?KVER:1}
%define flav %(echo %{KVER} | awk -F"el5" '{print $2}')
%if "%{flav}" == ""
%define flav default
%endif
%endif
%endif

%if %{suse}
BuildRequires: kernel-source kernel-syms
%define kernel_source /usr/src/linux-obj/%{_target_cpu}
%{suse_kernel_module_package -x %flav}
%else
BuildRequires: %kernel_module_package_buildreqs
%{kernel_module_package %flav}
%endif

%description
This package contains the Linux driver for the iSCSI function of ServerEngines BladeEngine 2

%package KMP
Summary: iSCSI driver for ServerEngines BladeEngine 2
Group: System/kernel

%description KMP
This package contains the Linux driver for the iSCSI function of ServerEngines BladeEngine 2

%prep
%setup
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
        rm -rf obj/$flavor
        cp -r source obj/$flavor
        export SRC=$PWD/obj/$flavor
        make -C %{kernel_source $flavor} modules M=$PWD/obj/$flavor CONFIG_BE2ISCSI=m
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
%if %suse
export INSTALL_MOD_DIR=updates/hp-be2iscsi
%else
export INSTALL_MOD_DIR=extra/hp-be2iscsi
%endif

for flavor in %flavors_to_build; do
        make  -C %{kernel_source $flavor} modules_install M=$PWD/obj/$flavor CONFIG_BE2ISCSI=m
done


%clean
rm -rf %{buildroot}

%define major_change (Severity:Critical)
%define medium_change (Severity:Medium)
%define minor_change (Severity:Minor)

%changelog
